Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.swt.browser
Class LocationEvent

    java.lang.Object
      Event
          org.eclipse.swt.events.TypedEvent
              org.eclipse.swt.browser.LocationEvent

public class LocationEvent
extends TypedEvent

A `LocationEvent` is sent by a `Browser` to `LocationListener`'s when the `Browser` navigates to a different URL. This notification typically occurs when the application navigates to a new location with `Browser.setUrl(String)` or when the user activates a hyperlink.

IMPORTANT: All `public static` members of this class are not part of the RWT public API. They are marked public only so that they can be shared within the packages provided by RWT. They should never be accessed from application code.

Since:
  1.0
See Also:
  Serialized Form

Field Summary
`static int` `CHANGED`
`static int` `CHANGING`
`boolean` `doit` A flag indicating whether the location loading should be allowed.
`String` `location` current location
`boolean` `top` A flag indicating whether the location opens in the top frame or not.

Fields inherited from class org.eclipse.swt.events.TypedEvent
`data, display, widget`

Method Summary
`static void` `addListener(Adaptable adaptable, LocationListener listener)`
`protected boolean` `allowProcessing()`
`protected void` `dispatchToObserver(Object listener)`
`static Object[]` `getListeners(Adaptable adaptable)`
`protected Class` `getListenerType()`
`static boolean` `hasListener(Adaptable adaptable)`
`static void` `removeListener(Adaptable adaptable, LocationListener listener)`

Methods inherited from class org.eclipse.swt.events.TypedEvent
`executeNext, getSource, processEvent, processScheduledEvents, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CHANGING

    public static final int CHANGING

See Also:
  Constant Field Values

### CHANGED

    public static final int CHANGED

See Also:
  Constant Field Values

### location

    public String location

  current location

### top

    public boolean top

  A flag indicating whether the location opens in the top frame or not.

### doit

    public boolean doit

  A flag indicating whether the location loading should be allowed. Setting this field to `false` will cancel the operation.

Method Detail

### dispatchToObserver

    protected void dispatchToObserver(Object listener)

  Overrides:
    `dispatchToObserver` in class `TypedEvent`

### getListenerType

    protected Class getListenerType()

  Overrides:
    `getListenerType` in class `TypedEvent`

### allowProcessing

    protected boolean allowProcessing()

  Overrides:
    `allowProcessing` in class `TypedEvent`

### hasListener

    public static boolean hasListener(Adaptable adaptable)

### addListener

    public static void addListener(Adaptable adaptable,
                                   LocationListener listener)

### removeListener

    public static void removeListener(Adaptable adaptable,
                                      LocationListener listener)

### getListeners

    public static Object[] getListeners(Adaptable adaptable)

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.